package ru.sinitsynme.sellingmarket.entity;

import javax.persistence.*;
import javax.validation.constraints.NotBlank;
import java.util.List;

@Entity
public class AdvCategory {

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "adv_category_id_gen")
    @SequenceGenerator(name = "adv_category_id_gen")
    private int id;

    @NotBlank
    private String categoryName;

    @OneToMany(mappedBy = "category")
    private List<AdvSubcategory> subcategoryList;

    public AdvCategory() {
    }

    public AdvCategory(String categoryName) {
        this.categoryName = categoryName;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

}
