package ru.sinitsynme.sellingmarket.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;

import javax.persistence.*;
import javax.validation.constraints.NotBlank;

@Entity
public class AdvSubcategory {

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "adv_subcategory_id_gen")
    @SequenceGenerator(name = "adv_subcategory_id_gen")
    private int id;

    @NotBlank
    private String subcategoryName;

    @ManyToOne
    @JoinColumn(name = "category_id")
    @JsonIgnore
    private AdvCategory category;

    public AdvSubcategory() {
    }

    public AdvSubcategory(String subcategoryName) {
        this.subcategoryName = subcategoryName;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getSubcategoryName() {
        return subcategoryName;
    }

    public void setSubcategoryName(String subcategoryName) {
        this.subcategoryName = subcategoryName;
    }

    public AdvCategory getCategory() {
        return category;
    }

    public void setCategory(AdvCategory category) {
        this.category = category;
    }
}
