package ru.sinitsynme.sellingmarket.service;

import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartRequest;
import ru.sinitsynme.sellingmarket.entity.Advertisement;
import ru.sinitsynme.sellingmarket.entity.dto.AdvertisementDto;
import ru.sinitsynme.sellingmarket.service.impl.filter.AdvFilter;

import java.io.IOException;
import java.util.List;
import java.util.UUID;

public interface AdvertisementService {

    Advertisement getAdvertisement(UUID id);

    List<Advertisement> getByFilter(AdvFilter filter);

    Advertisement addAdvertisement(AdvertisementDto dto, MultipartFile[] multipartRequest) throws IOException;

    Advertisement editAdvertisement(AdvertisementDto dto, UUID id);

    void deleteAdvertisement(UUID id);


}
