package ru.sinitsynme.sellingmarket.service;

import ru.sinitsynme.sellingmarket.entity.User;
import ru.sinitsynme.sellingmarket.entity.UserRole;
import ru.sinitsynme.sellingmarket.entity.dto.UserDto;

import java.util.Optional;
import java.util.UUID;

public interface UserService {

    User getUser(UUID userId);

    User addUser(UserDto user);

    User editRole(String roleName, UUID userId);

    User editName(String name, UUID userId);

    void deleteUser(UUID id);

    void changeAdvertisementRights(UUID id, boolean enable);

    void throwExceptionIfNotExists(UUID id);

    Optional<User> getPrincipalEntity();

    boolean isPrincipalAvailable();

}
