package ru.sinitsynme.sellingmarket.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import ru.sinitsynme.sellingmarket.entity.UserRole;
import ru.sinitsynme.sellingmarket.exception.ResourceNotFoundException;
import ru.sinitsynme.sellingmarket.exception.ResourcePresenceException;
import ru.sinitsynme.sellingmarket.repository.UserRoleRepository;
import ru.sinitsynme.sellingmarket.service.UserRoleService;

@Service
public class UserRoleServiceImpl implements UserRoleService {


    private final UserRoleRepository userRoleRepository;

    @Autowired
    public UserRoleServiceImpl(UserRoleRepository userRoleRepository) {
        this.userRoleRepository = userRoleRepository;
    }

    @Override
    public UserRole addRole(String name) {
        if(userRoleRepository.existsByName(name)) throw new ResourcePresenceException(String.format("Role with name = %s already exists", name));

        UserRole userRole = new UserRole(name);
        return userRoleRepository.save(userRole);
    }

    @Override
    public UserRole getRole(String name) {
        return userRoleRepository.findByName(name).orElseThrow(() -> new ResourceNotFoundException(String.format("Role with name = %s not exists", name)));
    }
}
